LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   How to install NS2 on fedora 11????? (http://www.linuxquestions.org/questions/linux-software-2/how-to-install-ns2-on-fedora-11-a-817322/)

liban779 07-01-2010 01:20 AM

How to install NS2 on fedora 11?????
 
hi,

it is my first time i am using fedora, i have installed in my computer fedora 11. i want to install NS2, can any one help me the steps to install NS2. THANKS

ddaemonunics 07-01-2010 05:58 AM

http://wpage.unina.it/marcello.caleffi/ns2/fedora.html

knudfl 07-01-2010 06:09 AM

Welcome to LQ. .. .. :)

Requirements : # yum install \
libX11-devel libXext-devel libXau-devel libXmu-devel xorg-x11-proto-devel \
gcc-c++ compat-gcc-34-c++ make automake autoconf libtool

There may be something more to install, depending on version.
ns-allinone-2.3x also requires tk-8.4-lastevent.patch :
http://bugs.gentoo.org/attachment.cgi?id=161242
cd ns-allinone-2.34/tk-8.4.18/
patch -p0 < tk-8.4-lastevent.patch

Assume ns-allinone-2.34.tar.gz presence in /home/<user-name>/
tar xvf ns-allinone-2.34.tar.gz && cd ns-allinone-2.34/
&& ./install

ns-allinone-2.35-RC6 can also be recommended :
http://www.isi.edu/nsnam/dist/releas....35-RC6.tar.gz

All ns2 Threads at LQ :
http://www.linuxquestions.org/questions/search.php
→ → "Tag Name" = ns2

P.S. : And again : The suggested method in post #2 :
Not really recommended. Installing the separate applications
to /usr/local/ , etc. can be done later, if you wish.
..

liban779 07-01-2010 08:07 AM

knudfl, ddaemonunics..thank you very much indeed. i would rather like to get more detailed installation processes....by the way the version of ns2 i want is ns-allinone-2.33 and bigger then that... thanks the info you posted gives me some clue about the installation process...many thanks

unodior 03-04-2011 04:51 AM

fedora 14,ns 2.30 i've tried
 
Quote:

Originally Posted by knudfl (Post 4020366)
There may be something more to install, depending on version.
ns-allinone-2.3x also requires tk-8.4-lastevent.patch :
http://bugs.gentoo.org/attachment.cgi?id=161242
cd ns-allinone-2.34/tk-8.4.18/
patch -p0 < tk-8.4-lastevent.patch

I can't understand what I should do.
Sorry if I've done something wrong again, I'm new

knudfl 03-04-2011 06:46 AM

@unodior, post # 5 : Welcome to LQ.

1) cd ns-allinone-2.30/tk8.4.13/
2)
wget ftp://gentoo.inode.at/portage/dev-la...astevent.patch

3) patch -p0 < tk-8.4-lastevent.patch


All times are GMT -5. The time now is 06:32 PM.